Skip to main content
POST
/
organisation
/
balances
/
opening
/
{taxYear}
Update organisation opening balances by tax year
curl --request POST \
  --url https://api.sandbox.flowpayroll.ai/v1/organisation/balances/opening/{taxYear} \
  --header 'Content-Type: application/json' \
  --header 'X-Auth-Token: <api-key>' \
  --data '
{
  "baseValues": {
    "gross": 306,
    "grossTaxable": 306,
    "grossNi": 306,
    "grossForEmployerNi": 306,
    "grossForEmployerClass1ANi": 306,
    "grossPensionable": 306,
    "grossForCourtOrders": 306,
    "tax": 45.2,
    "ni": 25.3,
    "pension": 0,
    "employerNi": 35.4,
    "employerClass1ANi": 35.4,
    "employerPension": 0,
    "studentLoan": 0,
    "postgraduateLoan": 0,
    "net": 235.5,
    "netDeductions": 0,
    "totalPayable": 235.5,
    "totalEmployerCost": 306,
    "niBand": {},
    "statutory": {
      "SSP": 0,
      "SMP": 0
    },
    "pensionContributionsByType": {
      "NetPayArrangement": 0,
      "ReliefAtSource": 0,
      "SalarySacrifice": 0
    }
  },
  "apprenticeshipLevyAllowanceYtd": {
    "amountLeft": 100,
    "amountUsed": 100
  },
  "apprenticeshipLevyYtd": 100,
  "employmentAllowanceYtd": {
    "amountLeft": 100,
    "amountUsed": 100
  },
  "cisDeductions": {
    "amountLeft": 100,
    "amountUsed": 100
  },
  "statutoryPaymentsReclaims": {}
}
'
{
  "message": {
    "text": "<string>",
    "token": "<string>",
    "tokenArguments": [
      {
        "name": "<string>",
        "value": "<string>"
      }
    ]
  },
  "content": {
    "data": {},
    "metadata": {
      "dateFormat": "yyyy-MM-dd",
      "dateTimeFormat": "yyyy-MM-ddTHH:mm:ss.fffZ",
      "paginationToken": "<string>"
    }
  },
  "validationIssues": [
    {
      "field": "<string>",
      "reason": "<string>",
      "reasonToken": "<string>",
      "reasonTokenArguments": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "messageToken": "<string>",
  "data": {
    "baseValues": {
      "gross": 306,
      "grossTaxable": 306,
      "grossNi": 306,
      "grossForEmployerNi": 306,
      "grossForEmployerClass1ANi": 306,
      "grossPensionable": 306,
      "grossForCourtOrders": 306,
      "tax": 45.2,
      "ni": 25.3,
      "pension": 0,
      "employerNi": 35.4,
      "employerClass1ANi": 35.4,
      "employerPension": 0,
      "studentLoan": 0,
      "postgraduateLoan": 0,
      "net": 235.5,
      "netDeductions": 0,
      "totalPayable": 235.5,
      "totalEmployerCost": 306,
      "niBand": {},
      "statutory": {
        "SSP": 0,
        "SMP": 0
      },
      "pensionContributionsByType": {
        "NetPayArrangement": 0,
        "ReliefAtSource": 0,
        "SalarySacrifice": 0
      }
    },
    "organisationId": "org_123",
    "createdBy": "user_123",
    "updatedBy": "user_456",
    "createdDate": "2024-01-01T00:00:00Z",
    "updatedDate": "2024-01-02T00:00:00Z",
    "apprenticeshipLevyAllowanceYtd": {
      "amountLeft": 100,
      "amountUsed": 100
    },
    "apprenticeshipLevyYtd": 100,
    "employmentAllowanceYtd": {
      "amountLeft": 100,
      "amountUsed": 100
    },
    "cisDeductions": {
      "amountLeft": 100,
      "amountUsed": 100
    },
    "statutoryPaymentsReclaims": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Auth-Token
string
header
required

Access token obtained from OAuth2 client credentials flow

Path Parameters

taxYear
integer
required

The tax year to update balances for

Required range: 1800 <= x <= 3000

Body

application/json
baseValues
object
required
apprenticeshipLevyAllowanceYtd
object
apprenticeshipLevyYtd
number<decimal>

Apprenticeship levy owed YTD

Example:

100

employmentAllowanceYtd
object
cisDeductions
object
statutoryPaymentsReclaims
object

Dictionary where keys should be one of the StatutoryTypeEnum values (StatutorySickPay, StatutoryMaternityPay, StatutoryPaternityPay, StatutoryAdoptionPay, SharedParentalPay, StatutoryParentalBereavementPay, StatutorySharedParentalPay, StatutoryNeoNatalCarePay)

Response

Successfully updated balances

message
object
content
object
validationIssues
object[]
messageToken
string
data
object